Bug 709151 - Cobbler still uses dhcp server init script
Cobbler still uses dhcp server init script
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
: 743868 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-30 16:42 EDT by Sergio Jimenez
Modified: 2012-08-07 12:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dummy /etc/init.d/dhcpd that invokes /bin/systemctl (97 bytes, text/plain)
2012-02-12 11:01 EST, Alan Crosswell
no flags Details

  None (edit)
Description Sergio Jimenez 2011-05-30 16:42:12 EDT
Description of problem:
When managing dhcp server from cobbler, it tries to restart the service using the old sysv script (/etc/rc.d/init.d/dhcp) which is no longer installed with dhcp-4.2.1-9.P1.fc15.

This makes cobbler synchronization to fail. 

Version-Release number of selected component (if applicable):
cobbler-2.0.11-2.fc15.noarch

How reproducible:
cobbler sync

Steps to Reproduce:
1. configure cobbler to manage dhcp
2. cobbler sync
3.
  
Actual results:
...
running: /etc/rc.d/init.d/dhcpd restart
received on stdout: 
received on stderr: /bin/sh: /etc/rc.d/init.d/dhcpd: No such file or directory

Exception occured: <class 'cobbler.cexceptions.CX'>
...

Expected results:
Cobbler should restart the service properly, either using systemd commands or with dhcp script if it was distributed with dhcp server package.

Additional info:
Comment 1 Michael Manry 2011-08-17 04:57:12 EDT
As a temporary fix, you can (as root), do this:
 touch /etc/rc.d/init.d/dhcpd
 chmod a+x /etc/rc.d/init.d/dhcpd
 cobbler sync

Only a workaround until this bug is addressed.
Comment 2 Alan Crosswell 2012-02-12 10:51:24 EST
Still not fixed in FC16 cobbler-2.0.11-3.fc16.noarch
Comment 3 Alan Crosswell 2012-02-12 11:01:01 EST
Created attachment 561235 [details]
dummy /etc/init.d/dhcpd that invokes /bin/systemctl

better workaround -- actually invokes systemctl for dhcpd.service
Comment 4 Sergio Jimenez 2012-03-23 20:44:05 EDT
Sorry about late answer...

I was using the workaround Alan proposed but I should say if using SELinux the init script needs to be properly labelled:

chcon system_u:object_r:dhcpd_initrc_exec_t:s0 /etc/rc.d/init.d/dhcpd
Comment 5 Fedora Admin XMLRPC Client 2012-04-11 18:00:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 James C. 2012-04-16 22:17:30 EDT
*** Bug 743868 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2012-08-07 12:33:41 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.